Bug 1255230 - [Docs] [4.0] [SHE] [RFE] HE hosts can now be added via the UI and is the only support method to add additional hosts from RHEV 4.0 (apart from REST API)
[Docs] [4.0] [SHE] [RFE] HE hosts can now be added via the UI and is the only...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
4.0.0
Unspecified Unspecified
medium Severity medium
: ovirt-4.0.3
: 4.0.0
Assigned To: Megan Lewis
Tahlia Richardson
http://www.ovirt.org/develop/release-...
: FutureFeature
Depends On: 1167262 1200469 1351677
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-20 00:05 EDT by Andrew Dahms
Modified: 2016-09-21 02:53 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Deprecated Functionality
Doc Text:
Additional self-hosted engine hosts can only be added via the Administration Portal, and can no longer be added by running 'hosted-engine --deploy' on the host.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-19 20:22:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Docs
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2609381 None None None 2016-09-08 20:38 EDT

  None (edit)
Description Andrew Dahms 2015-08-20 00:05:24 EDT
In RHEV 3.6, users can now add new HE hosts via the Admin Portal. The process for doing so much be documented, and is a good candidate for the SHE Guide.
Comment 1 Yaniv Lavi 2015-08-23 06:17:58 EDT
This feature was pushed for 4.0. Changing target, I updated the beta priorities to make sure we do not have more ticket like this one.
Comment 2 Andrew Dahms 2015-08-23 23:39:45 EDT
Hi Yaniv,

Thank you for the heads up - I have removed the beta tag from the title, and we will target this one for RHEV 4.0 instead.

Kind regards,

Andrew
Comment 3 Yaniv Lavi 2016-05-09 07:04:58 EDT
oVirt 4.0 Alpha has been released, moving to oVirt 4.0 Beta target.
Comment 7 Lucy Bopf 2016-06-14 21:55:29 EDT
Adding doc text in this bug, so it can be used to capture the deprecated functionality part that comes with this feature.
Comment 9 Lucy Bopf 2016-08-12 02:21:55 EDT
Assigning to Megan for review.
Comment 10 Lucy Bopf 2016-08-12 02:22:42 EDT
A quick note that the REST API part of this functionality is tracked in bug 1351677.
Comment 20 Marina 2016-09-08 17:43:11 EDT
Hi,
We would like to be proactive and create a kcs on this as well.

What would happen if you run 
# 'hosted-engine --deploy'
On an existing setup?

Would it cause any harm or it will simply fail?
Roy, can you help please?
Comment 21 Simone Tiraboschi 2016-09-09 02:34:56 EDT
(In reply to Marina from comment #20)
> Hi,
> We would like to be proactive and create a kcs on this as well.
> 
> What would happen if you run 
> # 'hosted-engine --deploy'
> On an existing setup?
> 
> Would it cause any harm or it will simply fail?
> Roy, can you help please?

Currently it will work as in 3.6 without any warning.
The mani concern is that, as in 3.6, choosing the host ID is up to the user who has to manually sync with the engine to avoid conflicts.
Deploying from the engine instead implicitly resolves  this issue.
Comment 22 Roy Golan 2016-09-11 04:14:04 EDT
(In reply to Marina from comment #20)
> Hi,
> We would like to be proactive and create a kcs on this as well.
> 
> What would happen if you run 
> # 'hosted-engine --deploy'
> On an existing setup?
> 
> Would it cause any harm or it will simply fail?
> Roy, can you help please?

For more info on comment 21 see the summary here https://bugzilla.redhat.com/show_bug.cgi?id=1322849#c28
Comment 23 Marina 2016-09-13 15:39:44 EDT
Are there any plans to block this command line option or we just keep it as not recommended? 
If the second, we should add a warning before running it, saying that:
- it is not recommended, the UI way is the correct one and that the user should be careful choosing host id. Or something between those lines.

If such bug does not exist yet, I'd be happy to file one. 
Otherwise customers will run it the way they are used to and we may have issues with that, based on what I am reading in the bug.
Comment 24 Yaniv Lavi 2016-09-14 04:01:24 EDT
(In reply to Marina from comment #23)
> Are there any plans to block this command line option or we just keep it as
> not recommended? 

We don't test it anymore and we will not support it.
We will be removing those options in the 4.1.

> If the second, we should add a warning before running it, saying that:
> - it is not recommended, the UI way is the correct one and that the user
> should be careful choosing host id. Or something between those lines.
> 
> If such bug does not exist yet, I'd be happy to file one. 
> Otherwise customers will run it the way they are used to and we may have
> issues with that, based on what I am reading in the bug.

Please do.
Comment 25 Marina 2016-09-14 13:30:10 EDT
Yaniv,

How about cockpit RHV-H UI?
People reported they used that option and found it convenient. But I believe this bug also applies to cockpit.
Comment 28 Yaniv Lavi 2016-09-20 11:03:28 EDT
(In reply to Marina from comment #25)
> Yaniv,
> 
> How about cockpit RHV-H UI?
> People reported they used that option and found it convenient. But I believe
> this bug also applies to cockpit.

Yes, only via engine.

Note You need to log in before you can comment on or make changes to this bug.